Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom.events
Class MutationEventImpl

    java.lang.Object
      weblogic.apache.xerces.dom.events.EventImpl
          weblogic.apache.xerces.dom.events.MutationEventImpl

All Implemented Interfaces:
  Event, MutationEvent

Deprecated. please use JDK supplied XML parsers and transformers

public class MutationEventImpl
extends EventImpl
implements MutationEvent

Field Summary
`short` | `attrChange` Deprecated.
`static String` | `DOM_ATTR_MODIFIED` Deprecated.
`static String` | `DOM_CHARACTER_DATA_MODIFIED` Deprecated.
`static String` | `DOM_NODE_INSERTED` Deprecated.
`static String` | `DOM_NODE_INSERTED_INTO_DOCUMENT` Deprecated.
`static String` | `DOM_NODE_REMOVED` Deprecated.
`static String` | `DOM_NODE_REMOVED_FROM_DOCUMENT` Deprecated.
`static String` | `DOM_SUBTREE_MODIFIED` Deprecated.

Fields inherited from class weblogic.apache.xerces.dom.events.EventImpl
`bubbles, cancelable, currentTarget, eventPhase, initialized, preventDefault, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.MutationEvent
`ADDITION, MODIFICATION, REMOVAL`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`MutationEventImpl()` Deprecated.

Method Summary
`short` | `getAttrChange()` Deprecated. `attrChange` indicates the type of change which triggered the DOMAttrModified event.
`String` | `getAttrName()` Deprecated.
`String` | `getNewValue()` Deprecated.
`String` | `getPrevValue()` Deprecated.
`Node` | `getRelatedNode()` Deprecated.
`void` | `initMutationEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevValueArg, String newValueArg, String attrNameArg, short attrChangeArg)` Deprecated. Initialize a mutation event, or overwrite the event's current settings with new values of the parameters.

Methods inherited from class weblogic.apache.xerces.dom.events.EventImpl
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Field Detail

### attrChange

    public short attrChange

  Deprecated.

### DOM_ATTR_MODIFIED

    public static final String DOM_ATTR_MODIFIED

  Deprecated.
  See Also:
    Constant Field Values

### DOM_CHARACTER_DATA_MODIFIED

    public static final String DOM_CHARACTER_DATA_MODIFIED

  Deprecated.
  See Also:
    Constant Field Values

### DOM_NODE_INSERTED

    public static final String DOM_NODE_INSERTED

  Deprecated.
  See Also:
    Constant Field Values

### DOM_NODE_INSERTED_INTO_DOCUMENT

    public static final String DOM_NODE_INSERTED_INTO_DOCUMENT

  Deprecated.
  See Also:
    Constant Field Values

### DOM_NODE_REMOVED

    public static final String DOM_NODE_REMOVED

  Deprecated.
  See Also:
    Constant Field Values

### DOM_NODE_REMOVED_FROM_DOCUMENT

    public static final String DOM_NODE_REMOVED_FROM_DOCUMENT

  Deprecated.
  See Also:
    Constant Field Values

### DOM_SUBTREE_MODIFIED

    public static final String DOM_SUBTREE_MODIFIED

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### MutationEventImpl

    public MutationEventImpl()

  Deprecated.

Method Detail

### getAttrChange

    public short getAttrChange()

  Deprecated.
  `attrChange` indicates the type of change which triggered the DOMAttrModified event. The values can be `MODIFICATION` , `ADDITION`, or `REMOVAL`.

  Specified by:
    `getAttrChange` in interface `MutationEvent`

### getAttrName

    public String getAttrName()

  Deprecated.
  Specified by:
    `getAttrName` in interface `MutationEvent`
  Returns:
    the name of the Attr which changed, for DOMAttrModified events. Undefined for others.

### getNewValue

    public String getNewValue()

  Deprecated.
  Specified by:
    `getNewValue` in interface `MutationEvent`
  Returns:
    the new string value of the Attr for DOMAttrModified events, or of the CharacterData node for DOMCharDataModifed events. Undefined for others.

### getPrevValue

    public String getPrevValue()

  Deprecated.
  Specified by:
    `getPrevValue` in interface `MutationEvent`
  Returns:
    the previous string value of the Attr for DOMAttrModified events, or of the CharacterData node for DOMCharDataModifed events. Undefined for others.

### getRelatedNode

    public Node getRelatedNode()

  Deprecated.
  Specified by:
    `getRelatedNode` in interface `MutationEvent`
  Returns:
    a Node related to this event, other than the target that the node was dispatched to. For DOMNodeRemoved, it is the node which was removed. No other uses are currently defined.

### initMutationEvent

    public void initMutationEvent(String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  Node relatedNodeArg,
                                  String prevValueArg,
                                  String newValueArg,
                                  String attrNameArg,
                                  short attrChangeArg)

  Deprecated.
  Initialize a mutation event, or overwrite the event's current settings with new values of the parameters.

  Specified by:
    `initMutationEvent` in interface `MutationEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD